Bug 310381 - xmlrpc for private bugs
xmlrpc for private bugs
Status: CLOSED WORKSFORME
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
devel
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 02:56 EDT by Denise Dumas
Modified: 2013-06-23 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-30 18:02:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example script for xmlrpc runQuery function (795 bytes, text/plain)
2008-03-30 21:51 EDT, Noura El hawary
no flags Details

  None (edit)
Description Florian La Roche 2007-09-28 02:56:28 EDT
Description of problem:

Querying all my open bugs via xmlrpc does not include any IT-escalated
private bugs, even if I am fully authenticated to bugzilla.

Can these bugs get enabled for xmlrpc queries?

regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Florian La Roche 2007-10-12 02:58:32 EDT
Seems if a real user/password login is used this works ok, but if using
the firefox cookies, then the CanSeeBug() routine in globals.pl is
returning a denied.

regards,

Florian La Roche
Comment 3 Noura El hawary 2008-03-30 21:51:23 EDT
Created attachment 299657 [details]
example script for xmlrpc runQuery function

HI Dennis,

I tried to produce the problem you have reported but couldn't. Using the
attached script i tried to get all your "NEW, ASSIGNED, NEEDINFO, MODIFIED"
bugs and it returned the private IT escalated bugs fine for me for example bug#
145104 . so is this problem still present? if yes please give us an example bug
that you can not access using xmlrpc runQuery.
Comment 4 David Lawrence 2008-11-30 18:02:47 EST
Please reopen this issue if the problem still persists in the latest Bugzilla version.

Note You need to log in before you can comment on or make changes to this bug.